/* $Id: ImageLoader.java,v 1.0 2001-01-27 15:27:41+01 damir Exp damir $ */

import java.awt.*;
import java.io.*;

/**
 * Image loader transparently handles loading of images from the jar
 * archives. You don't need to know about the Netscape incompatibilities
 * and you don't have to take care of the image decoding yourself
 * anymore.
 * @author Damir Arh <damir.arh@telesat.si> http://damir.gajba.net
 * @version 1.0
 */

public class ImageLoader
{
	private Image img;

	/**
	 * Constructs the class while loading the specified image.
	 * @param filename a String containing the filename of the image
	 *                 to load
	 */

	public ImageLoader(String filename) throws IOException
	{
		InputStream input = getClass().getResourceAsStream(filename);
		if (input == null)
		{
			img = null;
		}

		ByteArrayOutputStream pipe = new ByteArrayOutputStream();
		int c;
		while((c = input.read()) >= 0)
		{
			pipe.write(c);
		}
		img = Toolkit.getDefaultToolkit().createImage(pipe.toByteArray());
	}

	/**
	 * Returns the loaded image
	 */

	public Image getImage()
	{
		return img;
	}
}
